Bug 244986 - [NEW PORT] sysutils/zoxide: Fast cd alternative that learns your habits
Summary: [NEW PORT] sysutils/zoxide: Fast cd alternative that learns your habits
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2020-03-22 20:55 UTC by Andrey Cherkashin
Modified: 2020-05-05 08:58 UTC (History)
2 users (show)

See Also:


Attachments
New port directory (11.07 KB, patch)
2020-03-22 20:56 UTC, Andrey Cherkashin
no flags Details | Diff
New port patch (12.71 KB, patch)
2020-05-03 04:06 UTC, Andrey Cherkashin
no flags Details | Diff
New port patch (12.74 KB, text/plain)
2020-05-03 05:14 UTC, Andrey Cherkashin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Cherkashin 2020-03-22 20:55:04 UTC

    
Comment 1 Andrey Cherkashin 2020-03-22 20:56:03 UTC
Created attachment 212621 [details]
New port directory
Comment 2 Andrey Cherkashin 2020-04-06 21:14:51 UTC
portlint: OK (looks fine.)
testport: OK (poudriere: 12.1 amd64, 11.3 i386) (both stable and nightly rust)
Comment 3 Andrey Cherkashin 2020-04-09 02:20:35 UTC
[NEW] sysutils/zoxide:  Fast cd alternative that learns your habits


zoxide is a new cd alternative inspired by z and z.lua. It keeps track of the
directories you use most frequently, and uses a ranking algorithm to navigate
to the best match.

WWW: https://github.com/ajeetdsouza/zoxide
Comment 4 Hiroki Tagato freebsd_committer 2020-04-29 06:44:23 UTC
Hi,

There is a newer version (0.3.1) available on GitHub. Would you care to update the patch to the latest version?
Comment 5 Andrey Cherkashin 2020-05-03 04:06:46 UTC
Created attachment 214046 [details]
New port patch

Updated to 0.3.1
Comment 6 Andrey Cherkashin 2020-05-03 05:14:38 UTC
Created attachment 214048 [details]
New port patch

Accidentally removed plist from Makefile
Comment 7 commit-hook freebsd_committer 2020-05-05 07:35:43 UTC
A commit references this bug:

Author: tagattie
Date: Tue May  5 07:35:28 UTC 2020
New revision: 534032
URL: https://svnweb.freebsd.org/changeset/ports/534032

Log:
  zoxide is a new cd alternative inspired by z and z.lua. It keeps track of the
  directories you use most frequently, and uses a ranking algorithm to navigate
  to the best match.

  WWW: https://github.com/ajeetdsouza/zoxide

  PR:		244986
  Submitted by:	Andrey Cherkashin <andoriyu@gmail.com>
  Approved by:	ehaupt (mentor)

Changes:
  head/sysutils/Makefile
  head/sysutils/zoxide/
  head/sysutils/zoxide/Makefile
  head/sysutils/zoxide/distinfo
  head/sysutils/zoxide/pkg-descr
Comment 8 commit-hook freebsd_committer 2020-05-05 08:58:00 UTC
A commit references this bug:

Author: tagattie
Date: Tue May  5 08:57:28 UTC 2020
New revision: 54098
URL: https://svnweb.freebsd.org/changeset/doc/54098

Log:
  Add Andrey Cherkashin to contributors

  Maintainer of:	java/intellij-ultimate
  		sysutils/reptyr
  		sysutils/zoxide

  PR:		244986
  Approved by:	ehaupt (mentor)

Changes:
  head/en_US.ISO8859-1/articles/contributors/contrib.additional.xml
Comment 9 Hiroki Tagato freebsd_committer 2020-05-05 08:58:55 UTC
Committed, thanks!